package curve

type KeyPair interface {
	KeyPrivate() KeyPrivate
	KeyPublic() KeyPublic
	MessageEncode(data []byte, args ...any) (Message, error)
	MessageDecode(mes Message, args ...any) ([]byte, error)
}
